Subject: Re: bridge not routing packets via source bridgeport

From: "Sebastian J. Bronner" <[email-masked]>
Date: Tue, 04 Jan 2011 09:25:52 +0100

On 03.01.2011 19:42, Eric Dumazet wrote:
> Le lundi 03 janvier 2011 à 18:52 +0100, Sebastian J. Bronner a écrit :
>> we recently upgraded from 2.6.32.25 to 2.6.35.24 and discovered that our
>> virtual machines can no longer access their own external IP addresses.
>> Testing revealed that 2.6.34 was the last version not to have the
>> problem. 2.6.36 still had it. But on to the details.

[ Details snipped ]

> random guess: maybe rp_filter hits you ?
> 
> 
> With 2.6.36, a new SNMP counter was added, 
> "netstat -s | grep IPReversePathFilter"

Thanks for your guess, Eric.

Unfortunately, that didn't change anything.

According to the documentation at

http://lartc.org/howto/lartc.kernel.html

that parameter is to prevent _responses_ leaving through a different
interface that the original packet came in on. So, I wouldn't expect it
to have any impact on _routed packets_.

In my original e-mail, I forgot to mention something I noticed while
debugging:

If i put the bridge into promiscuous mode, then suddenly the packets are
routed.

# ip link set promisc on dev virbr1

Cheers,
Sebastian
-- 
*Sebastian J. Bronner*
Administrator

D9T GmbH - Magirusstr. 39/1 - D-89077 Ulm
Tel: +49 731 1411 696-0 - Fax: +49 731 3799-220

Geschäftsführer: Daniel Kraft
Sitz und Register: Ulm, HRB 722416
Ust.IdNr: DE 260484638

http://d9t.de - D9T High Performance Hosting
[email-masked]